org.eclipse.actf.model.dom.odf.util.converter

## Interface ODFConverter

All Superinterfaces:
  TextExtractor

    public interface ODFConverter
    extends TextExtractor

ODF converter class should implement this interface

### Field Summary

Fields
`static String` `OUTPUT_ATTR_ODF_CONTENT_ID`
`static String` `OUTPUT_ATTR_ODF_TAGNAME`

### Method Summary

Methods
`void` `convertDocument(String fileName, boolean enableStyle)`
`void` `setDocument(ODFDocument document)`

### Methods inherited from interface org.eclipse.actf.model.dom.odf.util.converter.TextExtractor

`extractContent`

### Field Detail

#### OUTPUT_ATTR_ODF_CONTENT_ID

    static final String OUTPUT_ATTR_ODF_CONTENT_ID

See Also:
  Constant Field Values

#### OUTPUT_ATTR_ODF_TAGNAME

    static final String OUTPUT_ATTR_ODF_TAGNAME

See Also:
  Constant Field Values

### Method Detail

#### setDocument

    void setDocument(ODFDocument document)

#### convertDocument

    void convertDocument(String fileName,
                       boolean enableStyle)